### Method

# Cogl Pipeline set_front_face_winding

#### Declaration [src]

    void
    cogl_pipeline_set_front_face_winding (
      CoglPipeline* pipeline,
      CoglWinding front_winding
    )

#### Description [src]

The order of the vertices within a primitive specifies whether it is considered to be front or back facing. This function specifies which order is considered to be the front faces. `COGL_WINDING_COUNTER_CLOCKWISE` sets the front faces to primitives with vertices in a counter-clockwise order and `COGL_WINDING_CLOCKWISE` sets them to be clockwise. The default is `COGL_WINDING_COUNTER_CLOCKWISE`.

#### Parameters

`front_winding`

  Type: `CoglWinding`

  The winding order.